Debian Bug report logs - #514687
iceweasel: Accept-Charset header prefers ISO-8859-1, not UTF-8

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Tue, 10 Feb 2009 02:12:01 UTC

Severity: normal

Tags: wontfix

Found in version iceweasel/3.0.6-1

Fixed in version 10.0-1

Done: Adam Borowski <kilobyte@angband.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#514687; Package iceweasel. (Tue, 10 Feb 2009 02:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. (Tue, 10 Feb 2009 02:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iceweasel: Accept-Charset header prefers ISO-8859-1, not UTF-8
Date: Tue, 10 Feb 2009 02:10:07 +0000
[Message part 1 (text/plain, inline)]
Package: iceweasel
Version: 3.0.6-1
Severity: normal

Iceweasel sends "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7" [0].
The locale on this system is UTF-8 and all the files are UTF-8; in other
words, there is no good reason to prioritize ISO-8859-1 over UTF-8, and
lots of really good reasons to deprecate ISO-8859-1.

I'd like Iceweasel to prefer UTF-8 over all other character sets.  This
would be consistent with Debian's policy of UTF-8 by default.

[0] This is true even in safe mode with plugins disabled.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages iceweasel depends on:
ii  debianutils                   2.31       Miscellaneous utilities specific t
ii  fontconfig                    2.6.0-3    generic font configuration library
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  libglib2.0-0                  2.18.3-1   The GLib library of C routines
ii  libgtk2.0-0                   2.14.5-1   The GTK+ graphical user interface 
ii  libnspr4-0d                   4.7.1-4    NetScape Portable Runtime Library
ii  libstdc++6                    4.3.3-3    The GNU Standard C++ Library v3
ii  procps                        1:3.2.7-11 /proc file system utilities
ii  psmisc                        22.6-1     Utilities that use the proc filesy
ii  xulrunner-1.9                 1.9.0.6-1  XUL + XPCOM application runner

iceweasel recommends no packages.

Versions of packages iceweasel suggests:
ii  latex-xft-fonts       0.1-8              Xft-compatible versions of some La
ii  libkrb53              1.6.dfsg.4~beta1-6 MIT Kerberos runtime libraries
pn  mozplugger            <none>             (no description available)
pn  ttf-mathematica4.1    <none>             (no description available)
pn  xfonts-mathml         <none>             (no description available)
pn  xprint                <none>             (no description available)
ii  xulrunner-1.9-gnome-s 1.9.0.6-1          Support for GNOME in xulrunner app

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#514687; Package iceweasel. (Tue, 10 Feb 2009 06:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Tue, 10 Feb 2009 06:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 514687@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 514687@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#514687: iceweasel: Accept-Charset header prefers ISO-8859-1, not UTF-8
Date: Tue, 10 Feb 2009 07:38:21 +0100
tag 514687 wontfix
thanks

On Tue, Feb 10, 2009 at 02:10:07AM +0000, brian m. carlson wrote:
> Package: iceweasel
> Version: 3.0.6-1
> Severity: normal
>
> Iceweasel sends "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7" [0].
> The locale on this system is UTF-8 and all the files are UTF-8; in other
> words, there is no good reason to prioritize ISO-8859-1 over UTF-8, and
> lots of really good reasons to deprecate ISO-8859-1.
>
> I'd like Iceweasel to prefer UTF-8 over all other character sets.  This
> would be consistent with Debian's policy of UTF-8 by default.
>
> [0] This is true even in safe mode with plugins disabled.

It is not all that important, actually, because for a same resource,
very few servers will have a ISO-8859-1 and a UTF-8 version, and won't
have to choose between both, which is the only case where the
prioritization of ISO-8859-1 in Accept-Charset would be relevant.

Also note that ISO-8859-1 is special cased even in RFC 2616 (HTTP/1.1):
  (...) all character sets not explicitly mentioned get a quality value
  of 0, except for ISO-8859-1, which gets a quality value of 1 if not
  explicitly mentioned.

Mike




Tags added: wontfix Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. (Tue, 10 Feb 2009 06:42:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:36 GMT) Full text and rfc822 format available.

Reply sent to Adam Borowski <kilobyte@angband.pl>:
You have taken responsibility. (Thu, 19 Apr 2012 15:57:07 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Thu, 19 Apr 2012 15:57:07 GMT) Full text and rfc822 format available.

Message #19 received at 514687-done@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: 514687-done@bugs.debian.org
Subject: fixed upstream in 10.0
Date: Thu, 19 Apr 2012 17:55:07 +0200
Version: 10.0-1


Hi!

I disagree with wontfixing this, and it appears upstream does too.  In fact,
they fixed this as of Firefox 10.  So this report can be closed.

Bugzilla link: https://bugzilla.mozilla.org/show_bug.cgi?id=572652

-- 
// If you believe in so-called "intellectual property", please immediately
// cease using counterfeit alphabets.  Instead, contact the nearest temple
// of Amon, whose priests will provide you with scribal services for all
// your writing needs, for Reasonable and Non-Discriminatory prices.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 May 2012 07:38:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:31:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.